Bug 1254606 - efl: use new lua's api for getting global value on ppc
efl: use new lua's api for getting global value on ppc
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: efl (Show other bugs)
rawhide
ppc Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: ZedoraTracker PPCTracker F-ExcludeArch-ppc64le/PPC64LETracker
  Show dependency treegraph
 
Reported: 2015-08-18 09:37 EDT by Rafael Fonseca
Modified: 2015-10-07 18:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: efl-1.15.1-2.fc23 efl-1.15.1-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-01 12:04:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix compilation for lua > 5.1 on PPC (2.30 KB, patch)
2015-08-18 09:37 EDT, Rafael Fonseca
no flags Details | Diff

  None (edit)
Description Rafael Fonseca 2015-08-18 09:37:55 EDT
Created attachment 1064324 [details]
Fix compilation for lua > 5.1 on PPC

Description of problem: because there is no luajit for PPC, EFL is compiled against lua-devel. When trying to build the latest EFL release on PPC, the following error is displayed:

lib/evas/filters/evas_filter_parser.c: In function '_lua_backtrace':
lib/evas/filters/evas_filter_parser.c:2434:20: error: 'LUA_GLOBALSINDEX' undeclared (first use in this function)
    lua_getfield(L, LUA_GLOBALSINDEX, "debug");

That happens because from lua > 5.1, the variable LUA_GLOBALSINDEX doesn't exist anymore.

Version-Release number of selected component (if applicable): 1.15.0-1


How reproducible: ppc-koji build EFL on PPC.


Additional info: patch provided.
Comment 1 Tom "spot" Callaway 2015-09-14 16:27:20 EDT
This is fixed in rawhide - efl-1.15.1-2.fc24 - (I didn't conditionalize it because it's clearly always correct with modern lua).
Comment 2 Fedora Update System 2015-09-21 05:31:13 EDT
efl-1.15.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16307
Comment 3 Fedora Update System 2015-09-21 14:21:43 EDT
efl-1.15.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update efl'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16307
Comment 4 Fedora Update System 2015-09-21 14:51:43 EDT
efl-1.15.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update efl'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16308
Comment 5 Fedora Update System 2015-10-01 12:04:43 EDT
efl-1.15.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-10-07 18:50:29 EDT
efl-1.15.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.